Index: tests/GuiChecks/Atoms/Saturate/testsuite-atoms-saturate-atoms-bonded_atoms.at
===================================================================
--- tests/GuiChecks/Atoms/Saturate/testsuite-atoms-saturate-atoms-bonded_atoms.at	(revision d50b9151219b75020931486afa73b2b92312849b)
+++ tests/GuiChecks/Atoms/Saturate/testsuite-atoms-saturate-atoms-bonded_atoms.at	(revision d50b9151219b75020931486afa73b2b92312849b)
@@ -0,0 +1,58 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2016 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### saturate atoms with (partial) bonding
+
+AT_SETUP([Atoms - saturating water molecule])
+AT_KEYWORDS([atoms saturate-atoms])
+# this should not do anything as water is fully saturated
+
+file=saturated_water.pdb
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Atoms/Saturate/pre/water.pdb .], 0)
+AT_CHECK([chmod u+w water.pdb], 0)
+AT_CHECK([../../molecuilder --dry-run -i water.pdb --select-atom-by-element 8 --saturate-atoms --output-as $file --no-dry-run --store-session session-atoms-saturate-atoms-bonded_atoms.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-atoms-saturate-atoms-bonded_atoms.py >session-atoms-saturate-atoms-bonded_atoms_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-atoms-saturate-atoms-bonded_atoms_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Atoms/Saturate/post/saturated_water.pdb], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+AT_SETUP([Atoms - saturating partial water molecule])
+AT_KEYWORDS([atoms saturate-atoms])
+
+file=saturated_water_H1.pdb
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Atoms/Saturate/pre/water.pdb .], 0)
+AT_CHECK([chmod u+w water.pdb], 0)
+AT_CHECK([../../molecuilder --dry-run -i water.pdb --select-atom-by-id 2 --remove-atom --select-atom-by-element 8 --saturate-atoms --output-as $file --no-dry-run --store-session session-atoms-saturate-atoms-bonded_atoms.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-atoms-saturate-atoms-bonded_atoms.py >session-atoms-saturate-atoms-bonded_atoms_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-atoms-saturate-atoms-bonded_atoms_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Atoms/Saturate/post/saturated_water_H1.pdb], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+AT_SETUP([Atoms - saturating partial cholesterol molecule])
+AT_KEYWORDS([atoms saturate-atoms])
+
+file=saturated_cholesterol.pdb
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Atoms/Saturate/pre/cholesterol.pdb .], 0)
+AT_CHECK([chmod u+w cholesterol.pdb], 0)
+AT_CHECK([../../molecuilder --dry-run -i cholesterol.pdb --select-atom-by-id 48 50 53 67 73 --remove-atom --select-all-atoms --correct-bonddegree --unselect-atom-by-element 1 --saturate-atoms --output-as $file --no-dry-run --store-session session-atoms-saturate-atoms-bonded_atoms.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-atoms-saturate-atoms-bonded_atoms.py >session-atoms-saturate-atoms-bonded_atoms_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-atoms-saturate-atoms-bonded_atoms_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Atoms/Saturate/post/saturated_cholesterol_H48_50_53_67_73.pdb], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Atoms/Saturate/testsuite-atoms-saturate-atoms-carbon.at
===================================================================
--- tests/GuiChecks/Atoms/Saturate/testsuite-atoms-saturate-atoms-carbon.at	(revision d50b9151219b75020931486afa73b2b92312849b)
+++ tests/GuiChecks/Atoms/Saturate/testsuite-atoms-saturate-atoms-carbon.at	(revision d50b9151219b75020931486afa73b2b92312849b)
@@ -0,0 +1,51 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2015 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### add atom
+
+AT_SETUP([Atoms - saturating carbon])
+AT_KEYWORDS([atoms saturate-atoms])
+
+file=saturated_carbon.xyz
+AT_CHECK([../../molecuilder --dry-run -a 6 --domain-position "10., 10., 10." --select-all-atoms --saturate-atoms --output-as $file --no-dry-run --store-session session-atoms-saturate-atoms-carbon.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-atoms-saturate-atoms-carbon.py >session-atoms-saturate-atoms-carbon_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-atoms-saturate-atoms-carbon_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Atoms/Saturate/post/], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+AT_SETUP([Atoms - saturating carbon with Undo])
+AT_KEYWORDS([atoms saturate-atoms undo])
+
+file=carbon.xyz
+AT_CHECK([../../molecuilder --dry-run -a 6 --domain-position "10., 10., 10." --select-all-atoms --saturate-atoms --undo --output-as $file --no-dry-run --store-session session-atoms-saturate-atoms-carbon.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-atoms-saturate-atoms-carbon.py >session-atoms-saturate-atoms-carbon_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-atoms-saturate-atoms-carbon_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Atoms/Saturate/post/], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+AT_SETUP([Atoms - saturating carbon with Redo])
+AT_KEYWORDS([atoms saturate-atoms redo])
+
+file=saturated_carbon.xyz
+AT_CHECK([../../molecuilder --dry-run -a 6 --domain-position "10., 10., 10." --select-all-atoms --saturate-atoms --undo --redo --output-as $file --no-dry-run --store-session session-atoms-saturate-atoms-carbon.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-atoms-saturate-atoms-carbon.py >session-atoms-saturate-atoms-carbon_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-atoms-saturate-atoms-carbon_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Atoms/Saturate/post/], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Atoms/Saturate/testsuite-atoms-saturate-atoms-nitrogen.at
===================================================================
--- tests/GuiChecks/Atoms/Saturate/testsuite-atoms-saturate-atoms-nitrogen.at	(revision d50b9151219b75020931486afa73b2b92312849b)
+++ tests/GuiChecks/Atoms/Saturate/testsuite-atoms-saturate-atoms-nitrogen.at	(revision d50b9151219b75020931486afa73b2b92312849b)
@@ -0,0 +1,51 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2015 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### add atom
+
+AT_SETUP([Atoms - saturating nitrogen])
+AT_KEYWORDS([atoms saturate-atoms])
+
+file=saturated_nitrogen.xyz
+AT_CHECK([../../molecuilder --dry-run -a 7 --domain-position "10., 10., 10." --select-all-atoms --saturate-atoms --output-as $file --no-dry-run --store-session session-atoms-saturate-atoms-nitrogen.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-atoms-saturate-atoms-nitrogen.py >session-atoms-saturate-atoms-nitrogen_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-atoms-saturate-atoms-nitrogen_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Atoms/Saturate/post/], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+AT_SETUP([Atoms - saturating nitrogen with Undo])
+AT_KEYWORDS([atoms saturate-atoms undo])
+
+file=nitrogen.xyz
+AT_CHECK([../../molecuilder --dry-run -a 7 --domain-position "10., 10., 10." --select-all-atoms --saturate-atoms --undo --output-as $file --no-dry-run --store-session session-atoms-saturate-atoms-nitrogen.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-atoms-saturate-atoms-nitrogen.py >session-atoms-saturate-atoms-nitrogen_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-atoms-saturate-atoms-nitrogen_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Atoms/Saturate/post/], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+AT_SETUP([Atoms - saturating nitrogen with Redo])
+AT_KEYWORDS([atoms saturate-atoms redo])
+
+file=saturated_nitrogen.xyz
+AT_CHECK([../../molecuilder --dry-run -a 7 --domain-position "10., 10., 10." --select-all-atoms --saturate-atoms --undo --redo --output-as $file --no-dry-run --store-session session-atoms-saturate-atoms-nitrogen.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-atoms-saturate-atoms-nitrogen.py >session-atoms-saturate-atoms-nitrogen_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-atoms-saturate-atoms-nitrogen_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Atoms/Saturate/post/], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Atoms/testsuite-atoms.at
===================================================================
--- tests/GuiChecks/Atoms/testsuite-atoms.at	(revision cb20c09b195f295f42c00057cfe8d57f332c6572)
+++ tests/GuiChecks/Atoms/testsuite-atoms.at	(revision d50b9151219b75020931486afa73b2b92312849b)
@@ -46,4 +46,5 @@
 
 # saturate atoms
-m4_include([Atoms/Saturate/testsuite-atoms-saturate_carbon.at])
-m4_include([Atoms/Saturate/testsuite-atoms-saturate_nitrogen.at])
+m4_include([Atoms/Saturate/testsuite-atoms-saturate-atoms-carbon.at])
+m4_include([Atoms/Saturate/testsuite-atoms-saturate-atoms-nitrogen.at])
+m4_include([Atoms/Saturate/testsuite-atoms-saturate-atoms-bonded_atoms.at])
Index: tests/GuiChecks/Bond/SetDegree/testsuite-bond-set-degree.at
===================================================================
--- tests/GuiChecks/Bond/SetDegree/testsuite-bond-set-degree.at	(revision d50b9151219b75020931486afa73b2b92312849b)
+++ tests/GuiChecks/Bond/SetDegree/testsuite-bond-set-degree.at	(revision d50b9151219b75020931486afa73b2b92312849b)
@@ -0,0 +1,53 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2016 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### set degree
+
+AT_SETUP([Bond - changing degree])
+AT_KEYWORDS([bond set-bond-degree saturate-atoms])
+file=test.pdb
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Bond/SetDegree/pre/$file $file], 0, [ignore], [ignore])
+AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file --select-atom-by-id 0 1 --set-bond-degree 2 --saturate-atoms --no-dry-run --store-session session-bond-set-degree.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-bond-set-degree.py >session-bond-set-degree_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-bond-set-degree_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Bond/SetDegree/post/test_degree2.pdb], 0, [ignore], [ignore])
+AT_CLEANUP
+
+
+AT_SETUP([Bond - changing degree with Undo])
+AT_KEYWORDS([bond set-bond-degree saturate-atoms undo])
+file=test.pdb
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Bond/SetDegree/pre/$file $file], 0, [ignore], [ignore])
+AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file --select-atom-by-id 0 1 --set-bond-degree 2 --undo --saturate-atoms --no-dry-run --store-session session-bond-set-degree.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-bond-set-degree.py >session-bond-set-degree_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-bond-set-degree_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Bond/SetDegree/post/test_degree1.pdb], 0, [ignore], [ignore])
+AT_CLEANUP
+
+
+AT_SETUP([Bond - changing degree with Redo])
+AT_KEYWORDS([bond set-bond-degree saturate-atoms redo])
+file=test.pdb
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Bond/SetDegree/pre/$file $file], 0, [ignore], [ignore])
+AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file --select-atom-by-id 0 1 --set-bond-degree 2 --undo --redo --saturate-atoms --no-dry-run --store-session session-bond-set-degree.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-bond-set-degree.py >session-bond-set-degree_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-bond-set-degree_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Bond/SetDegree/post/test_degree2.pdb], 0, [ignore], [ignore])
+AT_CLEANUP
Index: tests/GuiChecks/Bond/SetDegree/testsuite-bond-set-degree_multiple.at
===================================================================
--- tests/GuiChecks/Bond/SetDegree/testsuite-bond-set-degree_multiple.at	(revision d50b9151219b75020931486afa73b2b92312849b)
+++ tests/GuiChecks/Bond/SetDegree/testsuite-bond-set-degree_multiple.at	(revision d50b9151219b75020931486afa73b2b92312849b)
@@ -0,0 +1,63 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2016 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### set degree
+
+AT_SETUP([Bond - changing multiple degrees])
+AT_KEYWORDS([bond set-bond-degree])
+file=test_multiple.pdb
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Bond/SetDegree/pre/$file $file], 0, [ignore], [ignore])
+AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file --select-all-atoms --set-bond-degree 2 --saturate-atoms --no-dry-run --store-session session-bond-set-degree_multiple.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-bond-set-degree_multiple.py >session-bond-set-degree_multiple_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-bond-set-degree_multiple_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Bond/SetDegree/post/test_multiple_degree2.pdb], 0, [ignore], [ignore])
+AT_CLEANUP
+
+
+AT_SETUP([Bond - changing multiple degrees with Undo])
+AT_KEYWORDS([bond set-bond-degree saturate-atoms undo])
+file=test_multiple.pdb
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Bond/SetDegree/pre/$file $file], 0, [ignore], [ignore])
+AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file --select-all-atoms --set-bond-degree 2 --undo --saturate-atoms --no-dry-run --store-session session-bond-set-degree_multiple.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-bond-set-degree_multiple.py >session-bond-set-degree_multiple_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-bond-set-degree_multiple_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Bond/SetDegree/post/test_multiple_degree1.pdb], 0, [ignore], [ignore])
+AT_CLEANUP
+
+
+AT_SETUP([Bond - changing multiple degrees with Redo])
+AT_KEYWORDS([bond set-bond-degree saturate-atoms redo])
+file=test_multiple.pdb
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Bond/SetDegree/pre/$file $file], 0, [ignore], [ignore])
+AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file --select-all-atoms --set-bond-degree 2 --undo --redo --saturate-atoms --no-dry-run --store-session session-bond-set-degree_multiple.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-bond-set-degree_multiple.py >session-bond-set-degree_multiple_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-bond-set-degree_multiple_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Bond/SetDegree/post/test_multiple_degree2.pdb], 0, [ignore], [ignore])
+AT_CLEANUP
+
+AT_SETUP([Bond - changing multiple degrees, not all have bonds])
+AT_KEYWORDS([bond set-bond-degree saturate-atoms])
+file=test_multiple_fail.pdb
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Bond/SetDegree/pre/$file $file], 0, [ignore], [ignore])
+AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file --select-all-atoms --set-bond-degree 2 --no-dry-run --store-session session-bond-set-degree_multiple.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-bond-set-degree_multiple.py >session-bond-set-degree_multiple_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-bond-set-degree_multiple_new.py], 5, [ignore], [ignore])
+AT_CLEANUP
Index: tests/GuiChecks/Bond/testsuite-bond.at
===================================================================
--- tests/GuiChecks/Bond/testsuite-bond.at	(revision cb20c09b195f295f42c00057cfe8d57f332c6572)
+++ tests/GuiChecks/Bond/testsuite-bond.at	(revision d50b9151219b75020931486afa73b2b92312849b)
@@ -28,2 +28,7 @@
 # adjacency matcher
 m4_include([Bond/AdjacencyMatcher/testsuite-bond-adjacencymatcher.at])
+
+# set degree
+m4_include([Bond/SetDegree/testsuite-bond-set-degree.at])
+m4_include([Bond/SetDegree/testsuite-bond-set-degree_multiple.at])
+
Index: tests/GuiChecks/Domain/RepeatBox/testsuite-domain-repeat-box.at
===================================================================
--- tests/GuiChecks/Domain/RepeatBox/testsuite-domain-repeat-box.at	(revision cb20c09b195f295f42c00057cfe8d57f332c6572)
+++ tests/GuiChecks/Domain/RepeatBox/testsuite-domain-repeat-box.at	(revision d50b9151219b75020931486afa73b2b92312849b)
@@ -64,5 +64,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/ec.* .], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder --dry-run --parse-tremolo-potentials ec.potentials -i $file  -o tremolo -d 2 2 2 --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run --parse-particle-parameters ec.potentials -i $file  -o tremolo -d 2 2 2 --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
@@ -118,5 +118,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/ec.* .], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder --dry-run --parse-tremolo-potentials ec.potentials  -i $file  -o tremolo -d 2 2 2 --undo --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run --parse-particle-parameters ec.potentials  -i $file  -o tremolo -d 2 2 2 --undo --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
@@ -172,5 +172,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/ec.* .], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder --dry-run --parse-tremolo-potentials ec.potentials -i $file  -o tremolo -d 2 2 2 --undo --redo --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run --parse-particle-parameters ec.potentials -i $file  -o tremolo -d 2 2 2 --undo --redo --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
Index: tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-micelle.at
===================================================================
--- tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-micelle.at	(revision cb20c09b195f295f42c00057cfe8d57f332c6572)
+++ tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-micelle.at	(revision d50b9151219b75020931486afa73b2b92312849b)
@@ -25,5 +25,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/tensid.potentials .], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder 	--parse-tremolo-potentials tensid.potentials 	-i $file 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1"
+AT_CHECK([../../molecuilder 	--parse-particle-parameters tensid.potentials 	-i $file 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1"
 ], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/tensid.data], 0, [ignore], [ignore])
@@ -39,5 +39,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/tensid.potentials .], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder 	--parse-tremolo-potentials tensid.potentials 	-i $file 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1" 	--undo
+AT_CHECK([../../molecuilder 	--parse-particle-parameters tensid.potentials 	-i $file 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1" 	--undo
 ], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
@@ -53,5 +53,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/tensid.potentials .], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder 	--parse-tremolo-potentials tensid.potentials 	-i $file 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1" 	--undo 	--redo
+AT_CHECK([../../molecuilder 	--parse-particle-parameters tensid.potentials 	-i $file 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1" 	--undo 	--redo
 ], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/tensid.data], 0, [ignore], [ignore])
